<script lang="ts">
	import { addItemToCart, clearCart } from '$lib/reservation';
	import { onMount } from 'svelte';
	import Button from '../../../../components/Main/Button.svelte';
	import { refreshCart } from '../../../../stores/reservation';
	import ReserveModal from './ReserveModal.svelte';
	import toast from 'svelte-french-toast';

	export let imageUrl: string = '';
	export let alt: string = '';
	export let name: string = '';
	export let price: string = '';
	export let description: string = '';
	export let id: number;

	let showModal = false;
</script>

<div
	class="flex flex-col items-center border border-primary-500 rounded-lg gap-2 w-full md:w-1/3 pb-2"
>
	<img src={imageUrl} {alt} class="w-full aspect-video rounded-t-lg" />
	<span class="text-lg font-semibold">{name}</span>
	<span>{description}</span>
	<span class="italic text-sm">{price}€</span>

	<Button
		on:click={() => {
			showModal = true;
			// addItemToCart(id);
		}}
	>
		Reserver
	</Button>
</div>

<ReserveModal bind:showModal {id} />
